{
  description = "Various packages not in nixpkgs";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs =
    { self, nixpkgs }:
    let
      allSystems = [
        "x86_64-linux"
        "aarch64-linux"
        "x86_64-darwin"
        "aarch64-darwin"
      ];
      forAllSystems =
        f: nixpkgs.lib.genAttrs allSystems (system: f { pkgs = import nixpkgs { inherit system; }; });
    in
    {
      overlays = {
        default = final: prev: {
          ghettoptt = self.packages.${prev.system}.awakened-poe-trade;
          path-of-building-beta = self.packages.${prev.system}.path-of-building-beta;
        };
        awakened-poe-trade = final: prev: {
          awakened-poe-trade = self.packages.${prev.system}.awakened-poe-trade;
        };
        path-of-building-beta = final: prev: {
          awakened-poe-trade = self.packages.${prev.system}.path-of-building-beta;
        };
      };

      packages = forAllSystems (
        { pkgs }:
        {
          awakened-poe-trade = pkgs.callPackage ./pkgs/awakened-poe-trade { };
          path-of-building-beta = pkgs.qt6Packages.callPackage ./pkgs/path-of-building-beta { };
        }
      );
    };
}
